/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/drivers/wintel32/core/threading/win32mutex.cpp

*/

#include "drivers/wintel32/device.hpp"
#include "sgx/core/core.hpp"

class CMutexWin32 : public CMutex
{
public:
	CMutexWin32() 
	{
		
	}


	void capture(const char *pFile, size_t line)
	{
	}


	tBOOL isLocked()
	{
		return FALSE;
	}


	void release()
	{
	}


	void destroy()
	{
	}


};

CMutex *CMutex::create() 
{
	return new CMutexWin32();
}

